# Verify Cluster share volumes are Online
param([string] $cluster)
Import-Module FailoverClusters

Get-Clustersharedvolume -cluster $cluster | Select Name,State,Node | Sort-Object State -Descending | Select-Object Name,State,Node | ForEach-Object{
    $name = $_.Name
    $state = $_.State
    $node = $_.Node
    $exitcrit = 0

    If ($state -ne "Online")
    {
       Write-Host "$name is $state on node $node" 
#		exit 2
        $exitcrit = 2
    } 
    Else
    {
		Write-Host $name is $state on node $node
    }
}
exit $exitcrit